#!/bin/sh

# kurento-send-data-channel installer for Ubuntu 14.04
if [ `id -u` -ne 0 ]; then
    echo ""
    echo "Only root can start kurento-send-data-channel"
    echo ""
    exit 1
fi

APP_HOME=$(dirname $(dirname $(readlink -f $0)))
CONFIG_FILE="$APP_HOME/config/configuration.conf.json"

# Create defaults
mkdir -p /etc/default
cat > /etc/default/kurento-send-data-channel <<-EOF
# Defaults for kurento-send-data-channel initscript
# sourced by /etc/init.d/kurento-send-data-channel
# installed at /etc/default/kurento-send-data-channel by the maintainer scripts

#
# This is a POSIX shell fragment
#

# Commment next line to disable kurento-send-data-channel daemon
START_DAEMON=true

# Whom the daemons should run as
DAEMON_USER=nobody
EOF

# Install binaries
install -o root -g root -m 755 $APP_HOME/bin/start.sh /usr/bin/kurento-send-data-channel
install -o root -g root -m 755 $APP_HOME/support-files/kurento-demo.sh /etc/init.d/kurento-send-data-channel
mkdir -p /var/lib/kurento
install -o root -g root $APP_HOME/lib/kurento-send-data-channel.jar /var/lib/kurento/
[ -f $CONFIG_FILE ] && ( mkdir -p /etc/kurento/ && install -o root -g root $CONFIG_FILE /etc/kurento/kurento-send-data-channel.conf.json )

# enable kurento-send-data-channel start at boot time
# update-rc.d kurento-send-data-channel defaults

# start kurento-send-data-channel
/etc/init.d/kurento-send-data-channel restart
